package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.SysRuleManagement;
import com.ruoyi.system.mapper.ISysRuleManagement;
import com.ruoyi.system.service.ISysRuleManagementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 物资管理Service业务层处理
 *
 * @author
 * @date
 */
@Service
public class SysRuleManagementImpl implements ISysRuleManagementService
{
    @Autowired
    private ISysRuleManagement iSysRuleManagement;

    @Override
    public List<SysRuleManagement> list(SysRuleManagement sysRuleManagement) {
        return iSysRuleManagement.list(sysRuleManagement);
    }

    @Override
    public SysRuleManagement selectExcelById(Long id) {
        return iSysRuleManagement.selectExcelById(id);
    }

    @Override
    public Integer add(SysRuleManagement sysSupplies) {
        return iSysRuleManagement.add(sysSupplies);
    }

    @Override
    public int updateRule(SysRuleManagement sysRuleManagement) {
        return iSysRuleManagement.updateRule(sysRuleManagement);
    }

    @Override
    public int deleteRuleById(Long id) {
        return iSysRuleManagement.deleteRuleById(id);
    }





}
